Bug 11942 - 3proxy must not start as root
: 3proxy must not start as root
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/3proxy)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
: 18060
: 14491
  Show dependency tree
 
Reported: 2007-05-31 21:40 by
Modified: 2009-06-20 00:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-31 21:40:27
3proxy не должен запускаться с рутовыми привилегиями, т.к. он прекрасно
работает
и без них. Предлагаю сделать специального псевдоюзера _3proxy.
------- Comment #1 From 2008-11-19 16:30:07 -------
если будет полезно:
http://git.altlinux.org/people/ender/packages/?p=3proxy.git;a=shortlog;h=refs/heads/setuid
------- Comment #2 From 2008-11-21 04:10:39 -------
Пакет, похоже, ничейный.
По крайней мере, он закреплён за @nobody.
------- Comment #3 From 2008-11-30 23:39:36 -------
самостоятельно сделан патч и приложен в 0.5.3k-alt2
------- Comment #4 From 2008-12-03 14:40:28 -------
в принципе патч работает, проблема в портах < 1024 (#18060) - после setuid'а
bind() отваливается с permision denied

ля 3proxy критичны порты 80, 53, потому переоткрываю, пока не решится проблема.
------- Comment #5 From 2008-12-03 14:48:37 -------
обсуждение, где всплыла ошибка:
https://bugzilla.altlinux.org/show_bug.cgi?id=13034
------- Comment #6 From 2009-06-15 14:43:39 -------
3proxy-0.6-alt2 -> sisyphus:

* Tue Jun 09 2009 Afanasov Dmitry <ender@altlinux> 0.6-alt2

- drop some config options while rewrite droproot patch (see README.ALT)
- use capabilities when root is dropped (closes: #18060)
- use _3proxy as default user (closes: #11942)